Bug 827648 - tcm_fc configuration lost after reboot
tcm_fc configuration lost after reboot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: targetcli (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 21:05 EDT by Mark Rustad
Modified: 2012-06-05 17:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 17:54:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Rustad 2012-06-01 21:05:08 EDT
Description of problem:
After rebooting a system with a configured FCoE target, I find that the tom_fc configuration is lost, although the backstore configuration is still present. I found that I could manually recover the configuration by becoming root, running targetcli and doing "restoreconfig /etc/target/saveconfig.json clear_existing". This makes me think that when the targetcli service is started, FCoE is not fully up so that the tom_fc configuration can't be restored at that time.

Version-Release number of selected component (if applicable):
2.0rc1.fb8

How reproducible:
Every reboot I have done so far.

Steps to Reproduce:
1. Configure an FCoE target
2. Reboot the system
3. Observe target configuration by running targetcli and doing ls

Actual results:
o- / ..................................................................... [...]
  o- backstores .......................................................... [...]
  | o- block ................................................ [0 Storage Object]
  | o- fileio ............................................... [1 Storage Object]
  | | o- lun1 ............................ [/luns/lun1.img (100.0M) deactivated]
  | o- pscsi ................................................ [0 Storage Object]
  | o- ramdisk .............................................. [0 Storage Object]
  o- ib_srpt ....................................................... [Not found]
  o- iscsi .......................................................... [0 Target]
  o- loopback ....................................................... [0 Target]
  o- qla2xxx ....................................................... [Not found]
  o- tcm_fc ........................................................ [Not found]

Expected results:
o- / ..................................................................... [...]
  o- backstores .......................................................... [...]
  | o- block ................................................ [0 Storage Object]
  | o- fileio ............................................... [1 Storage Object]
  | | o- lun1 .............................. [/luns/lun1.img (100.0M) activated]
  | o- pscsi ................................................ [0 Storage Object]
  | o- ramdisk .............................................. [0 Storage Object]
  o- ib_srpt ....................................................... [Not found]
  o- iscsi .......................................................... [0 Target]
  o- loopback ....................................................... [0 Target]
  o- qla2xxx ........................................................ [0 Target]
  o- tcm_fc ......................................................... [1 Target]
    o- 20:00:00:1b:21:87:a6:fa ....................................... [enabled]
      o- acls .......................................................... [1 ACL]
      | o- 20:00:00:1b:21:87:ac:7a .............................. [1 Mapped LUN]
      |   o- mapped_lun1 ............................... [lun1 fileio/lun1 (rw)]
      o- luns .......................................................... [1 LUN]
        o- lun1 ................................. [fileio/lun1 (/luns/lun1.img)]

Additional info:
I assume that either targetcli needs to wait for the configuration to be accepted, or tom_fc would have to be changed to accept a configuration for something not yet running. Things get messy if there are multiple ports with target configurations and the ports don't come up at the same time for any reason, but this failure is seen with only a single FCoE port.
Comment 1 Andy Grover 2012-06-01 21:49:24 EDT
An attempt to fix this (by inserting a 60sec retry) was added to python-rtslib-2.1.fb14-1. Are you still seeing the issue with this version?
Comment 2 Mark Rustad 2012-06-04 17:28:39 EDT
I was running that version, but I was just too quick on the command line. Indeed the target configuration does finally appear. I'm not sure how you want to record the status of this one, but at far as I am concerned it can be closed. Sorry for the noise, and thanks for getting the command line up so quickly.

Note You need to log in before you can comment on or make changes to this bug.